Bug 238503 - system-config-kickstart crashes on launch
system-config-kickstart crashes on launch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 17:31 EDT by Steve Magoun
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 15:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Magoun 2007-04-30 17:31:37 EDT
Description of problem:
system-config-kickstart crashes on launch


Version-Release number of selected component (if applicable):
system-config-kickstart-2.7.6-1.fc7
yum-3.1.7-1.fc7
system-config-securitylevel downgraded to 1.7.0-1.fc7


How reproducible:
Always


Steps to Reproduce:
1. Launch system-config-kickstart
  
Actual results:
Main s-c-k window comes up, then the "Retrieving package information" dialog comes up. The 
progress bar in the dialog gets to about 40%, then an "Exception Occurred" dialog appears:

Component: system-config-kickstart
Summary: TB8d7f315d yumRepo.py:674:_getRepoXML:RepoError: Cannot open/read repomd.xml file 
for repository: core

Traceback (most recent call last):
  File "/usr/bin/system-config-kickstart", line 81, in <module>
    kickstartGui.kickstartGui(file)
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 167, in __init__
    self.packages_class = packages.Packages(xml, self.ksHandler)
  File "/usr/share/system-config-kickstart/packages.py", line 178, in __init__
    self.y = sckYumBase(pbar)
  File "/usr/share/system-config-kickstart/packages.py", line 151, in __init__
    self.doGroupSetup()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 436, in doGroupSetup
    return self._getGroups()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 461, in _getGroups
    if not repo.ready():
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 271, in ready
    return self.repoXML is not None
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 678, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 674, in _getRepoXML
    raise Errors.RepoError, ('Cannot open/read repomd.xml file for repository: %s' % self)
RepoError: Cannot open/read repomd.xml file for repository: core

Local variables in innermost frame:
self: core
e: Cannot find a valid baseurl for repo: core



Expected results:
s-c-k launches normally

Additional info:
Comment 1 Chris Lumens 2007-05-03 15:03:25 EDT
Thanks for the report.  This will be fixed in the next build of
system-config-kickstart.

Note You need to log in before you can comment on or make changes to this bug.